test: _ARBITER_LIST_ENTRY struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _ARBITER_LIST_ENTRY Struct Reference

`#include <pnp.h>`

List of all members.

## Public Attributes

LIST_ENTRY | ListEntry
ULONG | AlternativeCount
PIO_RESOURCE_DESCRIPTOR | Alternatives
PDEVICE_OBJECT | PhysicalDeviceObject
ARBITER_REQUEST_SOURCE | RequestSource
ULONG | Flags
LONG_PTR | WorkSpace
INTERFACE_TYPE | InterfaceType
ULONG | SlotNumber
ULONG | BusNumber
PCM_PARTIAL_RESOURCE_DESCRIPTOR | Assignment
PIO_RESOURCE_DESCRIPTOR | SelectedAlternative
ARBITER_RESULT | Result

## Member Data Documentation

ULONG _ARBITER_LIST_ENTRY::AlternativeCount

| Definition at line 744 of file pnp.h. Referenced by ArbBootAllocation(), ArbDumpArbitrationList(), ArbpBuildAllocationStack(), ArbTestAllocation(), IopPlacementForReservation(), IopReleaseResourcesInternal(), IopResourceRequirementsListToReqList(), and IopTranslateAndAdjustReqDesc().

PIO_RESOURCE_DESCRIPTOR _ARBITER_LIST_ENTRY::Alternatives

| Definition at line 749 of file pnp.h. Referenced by ArbBootAllocation(), ArbDumpArbitrationList(), ArbpBuildAllocationStack(), ArbTestAllocation(), IopArbiterHandlerxx(), IopPlacementForReservation(), IopReleaseResourcesInternal(), IopResourceRequirementsListToReqList(), and IopTranslateAndAdjustReqDesc().

PCM_PARTIAL_RESOURCE_DESCRIPTOR _ARBITER_LIST_ENTRY::Assignment

| Definition at line 785 of file pnp.h. Referenced by ArbAllocateEntry(), ArbRetestAllocation(), IopArbiterHandlerxx(), IopReleaseResourcesInternal(), IopResourceRequirementsListToReqList(), and IopTranslateAndAdjustReqDesc().

ULONG _ARBITER_LIST_ENTRY::BusNumber

| Definition at line 778 of file pnp.h. Referenced by ArbQueryConflict(), and IopResourceRequirementsListToReqList().

ULONG _ARBITER_LIST_ENTRY::Flags

| Definition at line 764 of file pnp.h. Referenced by IopMemFindSuitableRange(), IopPortFindSuitableRange(), IopReleaseResourcesInternal(), and IopResourceRequirementsListToReqList().

INTERFACE_TYPE _ARBITER_LIST_ENTRY::InterfaceType

| Definition at line 776 of file pnp.h. Referenced by ArbQueryConflict(), and IopResourceRequirementsListToReqList().

LIST_ENTRY _ARBITER_LIST_ENTRY::ListEntry

| Definition at line 739 of file pnp.h. Referenced by ArbSortArbitrationList(), IopCallArbiter(), IopReleaseResourcesInternal(), IopResourceRequirementsListToReqList(), and IopTranslateAndAdjustReqDesc().

PDEVICE_OBJECT _ARBITER_LIST_ENTRY::PhysicalDeviceObject

| Definition at line 754 of file pnp.h. Referenced by ArbAllocateEntry(), ArbBootAllocation(), ArbDumpArbitrationList(), ArbQueryConflict(), ArbRetestAllocation(), ArbTestAllocation(), IopPlacementForReservation(), IopReleaseResourcesInternal(), and IopResourceRequirementsListToReqList().

ARBITER_REQUEST_SOURCE _ARBITER_LIST_ENTRY::RequestSource

| Definition at line 759 of file pnp.h. Referenced by ArbFindSuitableRange(), ArbQueryConflict(), IopPortFindSuitableRange(), IopPortIsAliasedRangeAvailable(), IopReleaseResourcesInternal(), and IopResourceRequirementsListToReqList().

ARBITER_RESULT _ARBITER_LIST_ENTRY::Result

| Definition at line 797 of file pnp.h. Referenced by ArbAllocateEntry(), and IopResourceRequirementsListToReqList().

PIO_RESOURCE_DESCRIPTOR _ARBITER_LIST_ENTRY::SelectedAlternative

| Definition at line 791 of file pnp.h. Referenced by ArbAllocateEntry(), and ArbRetestAllocation().

ULONG _ARBITER_LIST_ENTRY::SlotNumber

| Definition at line 777 of file pnp.h. Referenced by IopResourceRequirementsListToReqList().

LONG_PTR _ARBITER_LIST_ENTRY::WorkSpace

| Definition at line 770 of file pnp.h. Referenced by ArbSortArbitrationList(), ArbTestAllocation(), IopReleaseResourcesInternal(), and IopResourceRequirementsListToReqList().

The documentation for this struct was generated from the following file:

- pnp.h